---
title: CanvasRenderingContext2D.imageSmoothingQuality
slug: Web/API/CanvasRenderingContext2D/imageSmoothingQuality
tags:
  - API
  - Canvas
  - CanvasRenderingContext2D
  - Experimental
  - Property
  - Reference
  - imageSmoothingQuality
---
<div>{{APIRef}} {{SeeCompatTable}}</div>

<p>The <code><strong>imageSmoothingQuality</strong></code> property of the {{domxref("CanvasRenderingContext2D")}} interface, part of the <a href="/en-US/docs/Web/API/Canvas_API">Canvas API</a>, lets you set the quality of image smoothing.</p>

<div class="notecard note">
<p><strong>Note:</strong> For this property to have an effect, {{domxref("CanvasRenderingContext2D.imageSmoothingEnabled", "imageSmoothingEnabled")}} must be <code>true</code>.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>ctx</em>.imageSmoothingQuality = "low" || "medium" || "high"
</pre>

<h3 id="Options">Options</h3>

<p>Possible values:</p>

<dl>
 <dt><code>"low"</code></dt>
 <dd>Low quality.</dd>
 <dt><code>"medium"</code></dt>
 <dd>Medium quality.</dd>
 <dt><code>"high"</code></dt>
 <dd>High quality.</dd>
</dl>

<h2 id="Example">Example</h2>

<h3 id="Setting_image_smoothing_quality">Setting image smoothing quality</h3>

<p>This example uses the <code>imageSmoothingQuality</code> property with a scaled image.</p>

<h4 id="HTML">HTML</h4>

<pre class="brush: html">&lt;canvas id="canvas"&gt;&lt;/canvas&gt;
</pre>

<h4 id="JavaScript">JavaScript</h4>

<pre class="brush: js; highlight:[7]">const canvas = document.getElementById('canvas');
const ctx = canvas.getContext('2d');

let img = new Image();
img.src = 'https://mdn.mozillademos.org/files/222/Canvas_createpattern.png';
img.onload = function() {
  ctx.imageSmoothingQuality = 'low';
  ctx.drawImage(img, 0, 0, 300, 150);
};
</pre>

<h4 id="Result">Result</h4>

<p>{{ EmbedLiveSample('Setting_image_smoothing_quality', 700, 180) }}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "#imagesmoothingquality", "imageSmoothingQuality")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CanvasRenderingContext2D.imageSmoothingQuality")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The interface defining this property: {{domxref("CanvasRenderingContext2D")}}</li>
 <li>{{domxref("CanvasRenderingContext2D.imageSmoothingEnabled")}}</li>
 <li>{{cssxref("image-rendering")}}</li>
</ul>
